export default class DataTimeRange {
  beginTime

  endTime
  /**
   * 时间范围
   * @param {} option
   * 格式：
   * {
   *  unit: 'Seconds' | 'Minutes' | 'Hours' | 'Date' | 'Month' | 'Quarter' | 'FullYear',
   *  diff: number,
   *  offset: number,
   * }
   */
  constructor ({ unit, diff = 0, offset = 0 }) {
    const endTime = getDate(new Date(), unit, offset)
    const beginTime = getDate(new Date(endTime), unit, -diff)
    this.beginTime = beginTime.format('YYYY/MM/DD 00:00:00')
    this.endTime = endTime.format('YYYY/MM/DD 23:59:59')
  }
}

const getDate = (date, unit, offset) => {
  date[`set${unit}`](date[`get${unit}`]() + offset)
  return date
}
